# Documentation development

## Setup

Add the `docs` extra when installing `teklia-dan`:

```sh
# In a clone of the Git repository
pip install .[docs]
```

Build the documentation using `mkdocs serve -v`. The documentation should be available as http://localhost:8000

## Writing documentation

This documentation uses [Sphinx](http://www.sphinx-doc.org/) and was generated using [mkdocs](https://mkdocs.org/) and [mkdocstrings](https://mkdocstrings.github.io/).

## Linting

This documentation is subject to linting using `doc8`, integrated into
`pre-commit`. You can run it locally by typing `pre-commit run`. You should use
`pre-commit install` to have the pre-commit hook run before each Git commit.

The linting rules that `doc8` applies can be found on [its documentation][1].

[1]: https://doc8.readthedocs.io/en/latest/readme.html#usage
